[Bug 1944777] Re: g++10.3 Segmentation fault when compiling CUDA code

2021-09-24 Thread Matthias Klose
GCC 10.04 won't be release before early 2022. I'll see to get a backport into 20.04 LTS. ** Changed in: gcc-10 (Ubuntu) Status: New => Triaged ** Changed in: gcc-10 (Ubuntu) Importance: Undecided => Medium ** Changed in: gcc-10 (Ubuntu) Assignee: (unassigned) => Matth

[Bug 1944112] Re: segfault in the amdgcn assembler

2021-09-20 Thread Matthias Klose
** Tags added: rls-ii-incoming -- You received this bug notification because you are a member of Ubuntu Bugs, which is subscribed to Ubuntu. https://bugs.launchpad.net/bugs/1944112 Title: segfault in the amdgcn assembler To manage notifications about this bug go to:

[Bug 1944112] Re: segfault in the amdgcn assembler

2021-09-20 Thread Matthias Klose
also ftbfs on s390x ** Tags added: ftbfs -- You received this bug notification because you are a member of Ubuntu Bugs, which is subscribed to Ubuntu. https://bugs.launchpad.net/bugs/1944112 Title: segfault in the amdgcn assembler To manage notifications about this bug go to:

[Bug 1944072] Re: stamps/02-patch-stamp: No such file or directory

2021-09-20 Thread Matthias Klose
the package builds fine in the distro. closing as invalid ** Changed in: gcc-10 (Ubuntu) Status: New => Invalid -- You received this bug notification because you are a member of Ubuntu Bugs, which is subscribed to Ubuntu. https://bugs.launchpad.net/bugs/1944072 Title:

[Bug 1944112] Re: segfault in the amdgcn assembler

2021-09-20 Thread Matthias Klose
** Attachment added: "a-tst.s" https://bugs.launchpad.net/ubuntu/+source/llvm-toolchain-9/+bug/1944112/+attachment/5526403/+files/a-tst.s -- You received this bug notification because you are a member of Ubuntu Bugs, which is subscribed to Ubuntu. https://bugs.launchpad.net/bugs/1944112

[Bug 1944112] [NEW] segfault in the amdgcn assembler

2021-09-20 Thread Matthias Klose
Public bug reported: This is not seen with 1:9.0.1-16.1ubuntu1, but with 1:9.0.1-16.1ubuntu4 (was in proposed, now removed, but copied to the ubuntu- toolchain-r/volatile PPA). $ cat a-tst.i # 0 "tst.c" # 1 "/packages/gcc/snap/gcc-snapshot-20210918//" # 0 "" # 0 "" # 1 "tst.c" int main() {

[Bug 1943701] Re: SRU: backport the first OpenJDK 17 release to 21.04, 20.04 LTS and 18.04 LTS

2021-09-17 Thread Matthias Klose
these were all binary upload, therefore checked the installability of the package, and did a simple build test. ** Tags removed: verification-needed verification-needed-bionic verification-needed-focal verification-needed-hirsute ** Tags added: verification-done verification-done-bionic

[Bug 1943823] Re: ruby2.7 ftbfs on ppc64el using GCC 11.2

2021-09-17 Thread Matthias Klose
** Description changed: Failing tests: https://launchpad.net/ubuntu/+source/ruby2.7/2.7.4-1ubuntu2/+build/22064162 - Lowering the optimization to -O2 doesn't help + Lowering the optimization to -O2 or -O1 doesn't help Falling back to gcc-10 and still using -O3 lets the tests succeed. --

[Bug 1943148] Re: Build fails

2021-09-16 Thread Matthias Klose
** Tags added: ftbfs -- You received this bug notification because you are a member of Ubuntu Bugs, which is subscribed to Ubuntu. https://bugs.launchpad.net/bugs/1943148 Title: Build fails To manage notifications about this bug go to:

[Bug 1943823] [NEW] ruby2.7 ftbfs on ppc64el using GCC 11.2

2021-09-16 Thread Matthias Klose
Public bug reported: Failing tests: https://launchpad.net/ubuntu/+source/ruby2.7/2.7.4-1ubuntu2/+build/22064162 Lowering the optimization to -O2 doesn't help Falling back to gcc-10 and still using -O3 lets the tests succeed. ** Affects: ruby2.7 (Ubuntu) Importance: Undecided

[Bug 1943701] Re: SRU: backport the first OpenJDK 17 release to 21.04, 20.04 LTS and 18.04 LTS

2021-09-16 Thread Matthias Klose
** Summary changed: - SRU: backport the first OpenJDK 17 release to 21.04 and 20.04 LTS + SRU: backport the first OpenJDK 17 release to 21.04, 20.04 LTS and 18.04 LTS ** Also affects: openjdk-17 (Ubuntu Bionic) Importance: Undecided Status: New -- You received this bug notification

[Bug 1943818] Re: mesa built with -O3 on ppc64el has broken EGL

2021-09-16 Thread Matthias Klose
** Tags added: ppc64el -- You received this bug notification because you are a member of Ubuntu Bugs, which is subscribed to Ubuntu. https://bugs.launchpad.net/bugs/1943818 Title: mesa built with -O3 on ppc64el has broken EGL To manage notifications about this bug go to:

[Bug 1943701] [NEW] SRU: backport the first OpenJDK 17 release to 21.04 and 20.04 LTS

2021-09-15 Thread Matthias Klose
Public bug reported: Backport the first OpenJDK 17 release to 21.04 and 20.04 LTS. OpenJDK 17 is a LTS release again, and will see more use than the interim versions 12 to 16. For 21.04, it also includes the security updates from July 2021. Acceptance criteria: The package builds. We cannot

[Bug 1939707] Re: FTBFS on impish

2021-09-02 Thread Matthias Klose
** Tags added: lto -- You received this bug notification because you are a member of Ubuntu Bugs, which is subscribed to Ubuntu. https://bugs.launchpad.net/bugs/1939707 Title: FTBFS on impish To manage notifications about this bug go to:

[Bug 1941806] Re: Please remove src:aspectc++ from Ubuntu (Impish)

2021-08-27 Thread Matthias Klose
removed ** Changed in: aspectc++ (Ubuntu) Status: New => Fix Released -- You received this bug notification because you are a member of Ubuntu Bugs, which is subscribed to Ubuntu. https://bugs.launchpad.net/bugs/1941806 Title: Please remove src:aspectc++ from Ubuntu (Impish) To

[Bug 1939413] Re: /usr/lib/aarch64-linux-gnu/libprotobuf.a’ generated with LTO version 9.2 instead of the expected 11.0

2021-08-26 Thread Matthias Klose
3.12.4-1ubuntu1 using binutils 2.36 OK 3.12.4-1ubuntu2 BAD -- You received this bug notification because you are a member of Ubuntu Bugs, which is subscribed to Ubuntu. https://bugs.launchpad.net/bugs/1939413 Title: /usr/lib/aarch64-linux-gnu/libprotobuf.a’ generated with LTO version 9.2

[Bug 1939413] Re: /usr/lib/aarch64-linux-gnu/libprotobuf.a’ generated with LTO version 9.2 instead of the expected 11.0

2021-08-26 Thread Matthias Klose
correctly stripped on other architectures, also not stripped in hirsute, so not a regression in impish. ** Tags removed: ftbfs ** Tags added: rls-ii-incoming ** Changed in: protobuf (Ubuntu) Assignee: Matthias Klose (doko) => (unassigned) -- You received this bug notification beca

[Bug 1939413] Re: /usr/lib/aarch64-linux-gnu/libprotobuf.a’ generated with LTO version 9.2 instead of the expected 11.0

2021-08-26 Thread Matthias Klose
the real problem here is that the package is not stripped at all on arm64. -- You received this bug notification because you are a member of Ubuntu Bugs, which is subscribed to Ubuntu. https://bugs.launchpad.net/bugs/1939413 Title: /usr/lib/aarch64-linux-gnu/libprotobuf.a’ generated with LTO

[Bug 1931701] Re: autopkgtests failures on armhf of 7.1.4

2021-08-26 Thread Matthias Klose
this is still missing a test case -- You received this bug notification because you are a member of Ubuntu Bugs, which is subscribed to Ubuntu. https://bugs.launchpad.net/bugs/1931701 Title: autopkgtests failures on armhf of 7.1.4 To manage notifications about this bug go to:

[Bug 1936237] Re: use the upstream version for the kernel packaging

2021-08-26 Thread Matthias Klose
no logs missing ** Changed in: linux (Ubuntu) Status: Incomplete => New -- You received this bug notification because you are a member of Ubuntu Bugs, which is subscribed to Ubuntu. https://bugs.launchpad.net/bugs/1936237 Title: use the upstream version for the kernel packaging To

[Bug 1939308] Re: armhf build failure

2021-08-26 Thread Matthias Klose
please provide verbose build logs, showing all arguments passed to the compiler. -- You received this bug notification because you are a member of Ubuntu Bugs, which is subscribed to Ubuntu. https://bugs.launchpad.net/bugs/1939308 Title: armhf build failure To manage notifications about this

[Bug 1939379] Re: ARM kernel builds fail with GCC 11

2021-08-26 Thread Matthias Klose
> $ arm-linux-gnueabihf-gcc-11 -march=armv7-a -c -x c /dev/null > cc1: error: ‘-mfloat-abi=hard’: selected architecture lacks an FPU you have to use -march=armv7-a+fp for now on. -- You received this bug notification because you are a member of Ubuntu Bugs, which is subscribed to Ubuntu.

[Bug 1939379] Re: ARM kernel builds fail with GCC 11

2021-08-26 Thread Matthias Klose
this log shows: make: Entering directory '/usr/src/linux-headers-5.13.0-14-generic' CC [M] /var/lib/dkms/adv-17v35x/5.0.6.0-1/build/adv17v35x.o please could you provide a verbose build, show the exact invocation of the compiler? -- You received this bug notification because you are a member

[Bug 1941710] Re: buggy libc.so created for non-default 32bit multlibs

2021-08-26 Thread Matthias Klose
same result, when starting with the chroot tarball (livecd.ubuntu- base.rootfs.tar.gz). what is different on the buildds? -- You received this bug notification because you are a member of Ubuntu Bugs, which is subscribed to Ubuntu. https://bugs.launchpad.net/bugs/1941710 Title: buggy libc.so

[Bug 1802391] Re: package libc6-armel-cross 2.27-3ubuntu1cross1 failed to install/upgrade: unable to install new version of '/usr/arm-linux-gnueabihf/libsf/ld-2.27.so': No such file or directory

2021-08-26 Thread Matthias Klose
*** This bug is a duplicate of bug 1802923 *** https://bugs.launchpad.net/bugs/1802923 ** This bug has been marked a duplicate of bug 1802923 package libc6-dev-armel-cross 2.24-9ubuntu1cross1 failed to install/upgrade: unable to install new version of

[Bug 1802398] Re: package libc6-dev-armel-cross 2.23-0ubuntu3cross1 failed to install/upgrade: unable to install new version of '/usr/arm-linux-gnueabihf/libsf/Mcrt1.o': No such file or directory

2021-08-26 Thread Matthias Klose
*** This bug is a duplicate of bug 1802923 *** https://bugs.launchpad.net/bugs/1802923 ** This bug has been marked a duplicate of bug 1802923 package libc6-dev-armel-cross 2.24-9ubuntu1cross1 failed to install/upgrade: unable to install new version of

[Bug 1809611] Re: package libc6-dev-armhf-cross 2.23-0ubuntu3cross1 failed to install/upgrade: unable to install new version of '/usr/arm-linux-gnueabi/libhf/Mcrt1.o': No such file or directory

2021-08-26 Thread Matthias Klose
*** This bug is a duplicate of bug 1802923 *** https://bugs.launchpad.net/bugs/1802923 ** This bug has been marked a duplicate of bug 1802923 package libc6-dev-armel-cross 2.24-9ubuntu1cross1 failed to install/upgrade: unable to install new version of

[Bug 1814444] Re: package libc6-dev-armel-cross 2.23-0ubuntu3cross1 failed to install/upgrade: unable to sync file '/var/lib/dpkg/tmp.ci//md5sums': Input/output error

2021-08-26 Thread Matthias Klose
*** This bug is a duplicate of bug 1802923 *** https://bugs.launchpad.net/bugs/1802923 ** This bug has been marked a duplicate of bug 1802923 package libc6-dev-armel-cross 2.24-9ubuntu1cross1 failed to install/upgrade: unable to install new version of

[Bug 1941710] [NEW] buggy libc.so created for non-default 32bit multlibs

2021-08-26 Thread Matthias Klose
Public bug reported: buggy libc.so created for non-default 32bit multilibs, e.g. $ dpkg -x libc6-dev-s390-s390x-cross_2.34-0ubuntu1cross2_all.deb . $ cat usr/s390x-linux-gnu/lib32/libc.so /* GNU ld script Use the shared library, but some functions are only in the static library, so try

[Bug 1939918] Re: FTBFS against glibc 2.34

2021-08-23 Thread Matthias Klose
** Changed in: libnss-db (Ubuntu) Status: New => Fix Committed -- You received this bug notification because you are a member of Ubuntu Bugs, which is subscribed to Ubuntu. https://bugs.launchpad.net/bugs/1939918 Title: FTBFS against glibc 2.34 To manage notifications about this bug

[Bug 1938787] Re: gcc-defaults: missing cross compilers for building on RISC-V

2021-08-16 Thread Matthias Klose
I don't think these cross build don't make any sense: - we don't build cross compilers on slow archs like armhf, build times would be multiple days, multiplied with the number of build attempts due to infrastructure and lp issues. - owning an unmatched board, I don't think anybody

[Bug 1940070] Re: fpc: FTBFS with glibc 2.34

2021-08-16 Thread Matthias Klose
** Tags added: ftbfs -- You received this bug notification because you are a member of Ubuntu Bugs, which is subscribed to Ubuntu. https://bugs.launchpad.net/bugs/1940070 Title: fpc: FTBFS with glibc 2.34 To manage notifications about this bug go to:

[Bug 1939973] Re: make 4.3-4.1 triggers build failures

2021-08-15 Thread Matthias Klose
copied the binary packages to https://launchpad.net/~doko/+archive/ubuntu/toolchain and removed them from impish-proposed -- You received this bug notification because you are a member of Ubuntu Bugs, which is subscribed to Ubuntu. https://bugs.launchpad.net/bugs/1939973 Title: make 4.3-4.1

[Bug 1939973] [NEW] make 4.3-4.1 triggers build failures

2021-08-15 Thread Matthias Klose
Public bug reported: trying to rebuild cross-toolchain-base from https://launchpad.net/~ubuntu-toolchain-r/+archive/ubuntu/volatile/+packages triggers a build failure: [...] START stamp-dir/init-binutils tar -x -f /usr/src/binutils/binutils-2.37.tar.xz set -e; cd binutils-2.37 ; cp -a

[Bug 1939868] Re: apitrace ftbfs with glibc 2.34

2021-08-13 Thread Matthias Klose
removing from impish for now: Removing packages from impish: apitrace 9.0+repack-1ubuntu3 in impish apitrace 9.0+repack-1ubuntu3 in impish amd64 apitrace 9.0+repack-1ubuntu3 in impish arm64 apitrace 9.0+repack-1ubuntu3 in impish armhf

[Bug 1939868] [NEW] apitrace ftbfs with glibc 2.34

2021-08-13 Thread Matthias Klose
Public bug reported: apitrace ftbfs with glibc 2.34 ./obj-x86_64-linux-gnu/wrappers/egltrace.cpp: In function ‘eglGetProcAddress’: ./obj-x86_64-linux-gnu/wrappers/egltrace.cpp:15813:54: note: variable tracking size limit exceeded with ‘-fvar-tracking-assignments’, retrying without /usr/bin/ld:

[Bug 1939379] Re: ARM kernel builds fail with GCC 11

2021-08-13 Thread Matthias Klose
yes, that's what is supposed to do, but apparently it's not doing that. Now configured with --with-fpu=vfpv3-d16 again, which lets the boost build at least succeed again. Still need to figure out if we need to re-upload packages built after the gcc-defaults change and before the gcc fix. --

[Bug 1939413] Re: /usr/lib/aarch64-linux-gnu/libprotobuf.a’ generated with LTO version 9.2 instead of the expected 11.0

2021-08-13 Thread Matthias Klose
** Changed in: protobuf (Ubuntu) Status: Fix Committed => New ** Changed in: protobuf (Ubuntu) Assignee: Gunnar Hjalmarsson (gunnarhj) => Matthias Klose (doko) -- You received this bug notification because you are a member of Ubuntu Bugs, which is subscribed to Ubuntu.

[Bug 1939413] Re: /usr/lib/aarch64-linux-gnu/libprotobuf.a’ generated with LTO version 9.2 instead of the expected 11.0

2021-08-12 Thread Matthias Klose
rebuilding just hides the issue. need to find out why the lto sections are in the archive. -- You received this bug notification because you are a member of Ubuntu Bugs, which is subscribed to Ubuntu. https://bugs.launchpad.net/bugs/1939413 Title: /usr/lib/aarch64-linux-gnu/libprotobuf.a’

[Bug 1936723] [NEW] glibc regressions on riscv64

2021-07-17 Thread Matthias Klose
Public bug reported: building glibc in impish on an unmatched board shows the following regressions: +-+ | Encountered regressions that don't match expected failures. |

[Bug 1904760] Re: autopkgtest fails in hirsute on arm64

2021-07-17 Thread Matthias Klose
fixed in gcc-10 and gcc-11 ** Changed in: cross-toolchain-base (Ubuntu) Status: New => Fix Released -- You received this bug notification because you are a member of Ubuntu Bugs, which is subscribed to Ubuntu. https://bugs.launchpad.net/bugs/1904760 Title: autopkgtest fails in hirsute

[Bug 1936715] [NEW] cross building glibc for powerpc and s390x produces empty libc6-dbg package

2021-07-17 Thread Matthias Klose
Public bug reported: cross building glibc for powerpc and s390x produces an empty libc6-dbg package. Seen with a glibc 2.34 snapshot, and cross-toolchain-base. However it should be possible to see this with just a cross build targeting powerpc or s390x. test packages at

[Bug 1936710] [NEW] malloc() unaligned tcache chunk detected

2021-07-17 Thread Matthias Klose
Public bug reported: seen when building the gcc-11 package in impish on an umatched board: malloc(): unaligned tcache chunk detected during RTL pass: sched2 ../../src/gcc/ira-emit.c: In function 'ira_emit': malloc(): unaligned tcache chunk detected xg++: internal compiler error: Aborted signal

[Bug 1936237] [NEW] use the upstream version for the kernel packaging

2021-07-14 Thread Matthias Klose
Public bug reported: please use the upstream version for the kernel packaging. apw, sforshee, xnox: is there any way to see which upstream version the linux package is based on? doko, if you are running it? /proc/version_signature has the full upstream version doko, for general inquiries

[Bug 1936221] [NEW] openjdk is missing a riscv64 hotspot port

2021-07-14 Thread Matthias Klose
Public bug reported: openjdk is missing a riscv64 hotspot port. ** Affects: openjdk-17 (Ubuntu) Importance: Undecided Status: New ** Affects: openjdk-lts (Ubuntu) Importance: Undecided Status: New ** Tags: riscv64 ** Also affects: openjdk-17 (Ubuntu)

[Bug 1934505]

2021-07-07 Thread Matthias Klose
looking at a 20210706 build, the fix seems to work. Unsure what I did wrong yesterday. So the fix would be needed on the trunk and the branch. -- You received this bug notification because you are a member of Ubuntu Bugs, which is subscribed to Ubuntu. https://bugs.launchpad.net/bugs/1934505

[Bug 1934505]

2021-07-07 Thread Matthias Klose
yes, double checked, https://launchpad.net/ubuntu/+source/gdb/11.0.90.20210705-0ubuntu2/+build/21752179 Ubuntu's compiler enables a few hardening flags by default, -D_FORTIFY_SOURCE=2 -fstack-protector-strong -Wformat -Werror=format-security but that's unchanged from the gdb 10.2 build. -- You

[Bug 1934892] [NEW] remove openjdk -13, and -14 from 20.04 LTS

2021-07-07 Thread Matthias Klose
Public bug reported: with a release version of openjdk-16 in 20.04 LTS, we don't want to support -13 and -14 anymore. Please remove these packages from the focal-updates pocket. ** Affects: openjdk-13 (Ubuntu) Importance: Undecided Status: New ** Affects: openjdk-14 (Ubuntu)

[Bug 1888386] Re: SRU: backport the openjdk-13 and -14 security releases to focal

2021-07-07 Thread Matthias Klose
** Changed in: openjdk-13 (Ubuntu) Status: New => Invalid ** Changed in: openjdk-14 (Ubuntu) Status: New => Invalid -- You received this bug notification because you are a member of Ubuntu Bugs, which is subscribed to Ubuntu. https://bugs.launchpad.net/bugs/1888386 Title: SRU:

[Bug 1925289] Re: SRU: backport the openjdk-13 security release to focal and groovy

2021-07-07 Thread Matthias Klose
** Changed in: openjdk-13 (Ubuntu) Status: New => Invalid ** Changed in: openjdk-13 (Ubuntu Focal) Status: New => Invalid ** Changed in: openjdk-13 (Ubuntu Groovy) Status: New => Invalid -- You received this bug notification because you are a member of Ubuntu Bugs, which

[Bug 1932313] Re: Breezy 3.2.0+bzr7543-1 FTBFS

2021-07-07 Thread Matthias Klose
the Python commit was reverted in the 3.9.6 release. Does this still show up with 3.9.6? -- You received this bug notification because you are a member of Ubuntu Bugs, which is subscribed to Ubuntu. https://bugs.launchpad.net/bugs/1932313 Title: Breezy 3.2.0+bzr7543-1 FTBFS To manage

[Bug 1934505] Re: gdb 11 doesn't work on impish/s390x: internal-error: displaced_step_prepare_status linux_displaced_step_prepare(gdbarch*, thread_info*, CORE_ADDR&): Assertion `gdbarch_data->num_disp

2021-07-07 Thread Matthias Klose
fixed in 11.0.90.20210705-0ubuntu2 ** Changed in: gdb (Ubuntu) Status: Confirmed => Fix Released -- You received this bug notification because you are a member of Ubuntu Bugs, which is subscribed to Ubuntu. https://bugs.launchpad.net/bugs/1934505 Title: gdb 11 doesn't work on

[Bug 1934815] Re: openjdk-11-jre-headless does not provide libawt_xawt.so

2021-07-07 Thread Matthias Klose
** Bug watch added: Debian Bug tracker #990780 https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=990780 ** Also affects: jabref (Debian) via https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=990780 Importance: Unknown Status: Unknown -- You received this bug notification because

[Bug 1934815] Re: openjdk-11-jre-headless does not provide libawt_xawt.so

2021-07-07 Thread Matthias Klose
** Package changed: openjdk-lts (Ubuntu) => jabref (Ubuntu) ** Changed in: jabref (Ubuntu) Status: New => Confirmed -- You received this bug notification because you are a member of Ubuntu Bugs, which is subscribed to Ubuntu. https://bugs.launchpad.net/bugs/1934815 Title:

[Bug 1934505]

2021-07-06 Thread Matthias Klose
for a s390x setup, maybe see https://developer.ibm.com/components/ibm-linuxone/gettingstarted/ -- You received this bug notification because you are a member of Ubuntu Bugs, which is subscribed to Ubuntu. https://bugs.launchpad.net/bugs/1934505 Title: gdb 11 doesn't work on impish/s390x:

[Bug 1934505]

2021-07-06 Thread Matthias Klose
no, that patch doesn't help. the gdb 10.2 build was fine, working correctly. gdb: configured with: --build=s390x-linux-gnu --host=s390x-linux-gnu --prefix=/usr --libexecdir=${prefix}/lib/gdb --disable-werror --disable-maintainer-mode

[Bug 1901080] Re: libgphobos1: ABI breakage in SRU

2021-07-06 Thread Matthias Klose
checked the dub package and one of the games, that these are working. -- You received this bug notification because you are a member of Ubuntu Bugs, which is subscribed to Ubuntu. https://bugs.launchpad.net/bugs/1901080 Title: libgphobos1: ABI breakage in SRU To manage notifications about

[Bug 1934505] Re: gdb 11 doesn't work on impish: internal-error: displaced_step_prepare_status linux_displaced_step_prepare(gdbarch*, thread_info*, CORE_ADDR&): Assertion `gdbarch_data->num_disp_step_

2021-07-05 Thread Matthias Klose
** Bug watch added: Sourceware.org Bugzilla #28056 https://sourceware.org/bugzilla/show_bug.cgi?id=28056 ** Also affects: gdb via https://sourceware.org/bugzilla/show_bug.cgi?id=28056 Importance: Unknown Status: Unknown ** Changed in: gdb (Ubuntu) Status: New => Confirmed

[Bug 1931701] Re: autopkgtests failures on armhf of 7.1.4

2021-07-01 Thread Matthias Klose
** Tags removed: patch -- You received this bug notification because you are a member of Ubuntu Bugs, which is subscribed to Ubuntu. https://bugs.launchpad.net/bugs/1931701 Title: autopkgtests failures on armhf of 7.1.4 To manage notifications about this bug go to:

[Bug 1931701] Re: autopkgtests failures on armhf of 7.1.4

2021-07-01 Thread Matthias Klose
the test case pr96796.c added in this commit passes on armhf. same for gcc-10. Please could you provide a test case? ** Changed in: gcc-9 (Ubuntu Hirsute) Status: New => Incomplete ** Changed in: gcc-9 (Ubuntu Impish) Status: New => Incomplete -- You received this bug

[Bug 1931701] Re: autopkgtests failures on armhf of 7.1.4

2021-07-01 Thread Matthias Klose
please don't revert this commit yet. Does this resolve the issue for gcc-10 and/or -11 as well? ** Also affects: gcc-10 (Ubuntu) Importance: Undecided Status: New -- You received this bug notification because you are a member of Ubuntu Bugs, which is subscribed to Ubuntu.

[Bug 1901080] Re: libgphobos1: ABI breakage in SRU

2021-06-30 Thread Matthias Klose
- do the no-change rebuilds - then re-upload gcc-10 with the added breaks -- You received this bug notification because you are a member of Ubuntu Bugs, which is subscribed to Ubuntu. https://bugs.launchpad.net/bugs/1901080 Title: libgphobos1: ABI breakage in SRU To manage notifications

[Bug 1934132] [NEW] SRU: backport Python 3.8.11 to 20.04 LTS and 20.10

2021-06-30 Thread Matthias Klose
Public bug reported: As done with LP: #1928057, backport the 3.8.11 release to focal and groovy, consisting of security updates and a fix for a regression introduced in 3.8.10 (we already fixed sssd to pass its tests with 3.8.10). Changes are: Security - bpo-44022: mod:`http.client`

[Bug 1933775]

2021-06-30 Thread Matthias Klose
No, the gcc packages don't depend on any tbb package. Probably tbb needs an update to a new upstream version in the distro. -- You received this bug notification because you are a member of Ubuntu Bugs, which is subscribed to Ubuntu. https://bugs.launchpad.net/bugs/1933775 Title: libgcc-s1

[Bug 1933340] Re: merge package with Debian

2021-06-29 Thread Matthias Klose
maybe it's now done on a regular basis, but it's certainly missing some bits, at least merges from around the 7.0 release are missing. Please address this properly. ** Changed in: libreoffice (Ubuntu) Status: Invalid => Confirmed -- You received this bug notification because you are a

[Bug 1933775] Re: libgcc-s1 and libstdc++6 depend on broken libtbb2 package

2021-06-28 Thread Matthias Klose
No, see the upstream issue. A new tbb upstream version is needed. ** Package changed: gcc-11 (Ubuntu) => tbb (Ubuntu) ** Tags removed: deprecated execution gcc intel libstdc++ pragma tbb warning ** Tags added: rls-ii-incoming -- You received this bug notification because you are a member of

[Bug 1933775] Re: libgcc-s1 and libstdc++6 depend on broken libtbb2 package

2021-06-28 Thread Matthias Klose
No gcc package depends on libtbb2 -- You received this bug notification because you are a member of Ubuntu Bugs, which is subscribed to Ubuntu. https://bugs.launchpad.net/bugs/1933775 Title: libgcc-s1 and libstdc++6 depend on broken libtbb2 package To manage notifications about this bug go

[Bug 1933340] [NEW] merge package with Debian

2021-06-23 Thread Matthias Klose
Public bug reported: while looking at LP: #1891623, I noticed that the LO packaging wasn't merged for a longer time, not importing some fixes from Debian. Please merge the package from Debian, and continue to do that on a regular basis. ** Affects: libreoffice (Ubuntu) Importance:

[Bug 1931701] Re: autopkgtests failures on armhf of 7.1.4

2021-06-23 Thread Matthias Klose
@Sebastien, even identifying the exact change in gcc-9 won't be enough. It boils down to a miscompiled issue in two million lines of code. Already ten months ago, I asked to do proper debugging in LO, see LP: #1891623. However every bug I filed (comment #8) to get the debugging easier, or even

[Bug 1901080] Re: libgphobos1: ABI breakage in SRU

2021-06-23 Thread Matthias Klose
** Description changed: - gcc-10 was SRUed to focal, and in the process introduced regressions - caused by ABI breakage of libgphobos1. + gcc-10 was a shipped as a pre-release version in focal, which saw an ABI + change in libgphobos with the GCC 10.2 release. Now instead of + reverting this

[Bug 1901080] Re: libgphobos1: ABI breakage in SRU

2021-06-23 Thread Matthias Klose
** Also affects: dub (Ubuntu) Importance: Undecided Status: New ** Also affects: a7xpg (Ubuntu) Importance: Undecided Status: New ** Also affects: val-and-rick (Ubuntu) Importance: Undecided Status: New ** Also affects: tumiki-fighters (Ubuntu) Importance:

[Bug 1930125] Re: SRU: update gcc-9 and gcc-10 packages for focal, groovy and hirsute

2021-06-21 Thread Matthias Klose
the gcc-10* packages for focal look ok as well, no autopkg test regressions -- You received this bug notification because you are a member of Ubuntu Bugs, which is subscribed to Ubuntu. https://bugs.launchpad.net/bugs/1930125 Title: SRU: update gcc-9 and gcc-10 packages for focal, groovy and

[Bug 1931701] Re: autopkgtests failures on armhf of 7.1.4

2021-06-21 Thread Matthias Klose
Using a three year old compiler is not a fix, but a work around. Please start investigating this properly. https://bugs.launchpad.net/ubuntu/+source/gcc-10/+bug/1891623/comments/8 suggests to do a proper debug build at least. This was filed ten months ago ... ** Changed in: libreoffice (Ubuntu

[Bug 1891623] Re: LO segfaults in one test on armhf when built with GCC 10

2021-06-14 Thread Matthias Klose
any progress on the issues mentioned in #8? could you do a debug build once these are fixed? -- You received this bug notification because you are a member of Ubuntu Bugs, which is subscribed to Ubuntu. https://bugs.launchpad.net/bugs/1891623 Title: LO segfaults in one test on armhf when

[Bug 1924604] Re: do-release-upgrade crashed with KeyError in __getitem__(): "The cache has no package named 'python-is-python2'"

2021-06-14 Thread Matthias Klose
this could be easily worked around by enabling universe during the upgrade -- You received this bug notification because you are a member of Ubuntu Bugs, which is subscribed to Ubuntu. https://bugs.launchpad.net/bugs/1924604 Title: do-release-upgrade crashed with KeyError in __getitem__():

[Bug 1931383] Re: ipp-usb ftbfs with lto

2021-06-14 Thread Matthias Klose
that delta should be dropped once golang-1.16 has the backport. -- You received this bug notification because you are a member of Ubuntu Bugs, which is subscribed to Ubuntu. https://bugs.launchpad.net/bugs/1931383 Title: ipp-usb ftbfs with lto To manage notifications about this bug go to:

[Bug 1931701] Re: autopkgtests failures on armhf of 7.1.4

2021-06-11 Thread Matthias Klose
why are you using GCC 9? We default to GCC 10 for a while, and are about to switch to GCC 11. -- You received this bug notification because you are a member of Ubuntu Bugs, which is subscribed to Ubuntu. https://bugs.launchpad.net/bugs/1931701 Title: autopkgtests failures on armhf of 7.1.4

[Bug 1931383] Re: ipp-usb ftbfs with lto

2021-06-09 Thread Matthias Klose
https://go-review.googlesource.com/c/go/+/322614/ ** Also affects: golang Importance: Undecided Status: New -- You received this bug notification because you are a member of Ubuntu Bugs, which is subscribed to Ubuntu. https://bugs.launchpad.net/bugs/1931383 Title: ipp-usb ftbfs

[Bug 1931383] Re: ipp-usb ftbfs with lto

2021-06-09 Thread Matthias Klose
** Also affects: golang-1.16 (Ubuntu) Importance: Undecided Status: New -- You received this bug notification because you are a member of Ubuntu Bugs, which is subscribed to Ubuntu. https://bugs.launchpad.net/bugs/1931383 Title: ipp-usb ftbfs with lto To manage notifications about

[Bug 1931383] Re: ipp-usb ftbfs with lto

2021-06-09 Thread Matthias Klose
** Tags added: lto -- You received this bug notification because you are a member of Ubuntu Bugs, which is subscribed to Ubuntu. https://bugs.launchpad.net/bugs/1931383 Title: ipp-usb ftbfs with lto To manage notifications about this bug go to:

[Bug 1931383] [NEW] ipp-usb ftbfs with lto

2021-06-09 Thread Matthias Klose
Public bug reported: ipp-usb ftbfs with lto, apparently not seen on Fedora builds. github.com/OpenPrinting/ipp-usb # github.com/OpenPrinting/ipp-usb ../../../../tmp/go-build3834344537/b001/cgo-generated-wrappers:1:13: error: function ‘avahiClientCallback’ redeclared as variable

[Bug 1930125] Re: SRU: update gcc-9 and gcc-10 packages for focal, groovy and hirsute

2021-06-09 Thread Matthias Klose
the packages for hirsute look ok, already checked before the upload, and they are installable in hirsute. ** Tags removed: verification-needed verification-needed-hirsute ** Tags added: verification-done verification-done-hirsute -- You received this bug notification because you are a member

[Bug 1930125] Re: SRU: update gcc-9 and gcc-10 packages for focal, groovy and hirsute

2021-06-08 Thread Matthias Klose
** Description changed: as done before in LP: #1879481 with GCC 9.3.0 and GCC 10.2.0, updating again to GCC 9.4.0 and GCC 10.3.0 in 20.04 LTS, 20.10 and 21.04. GCC 10.3.0 is already in 21.04 (hirsute), so no need to update that compiler there as well.  - gcc-10, update to the

[Bug 1931074] Re: SRU: fix tests to also succeed with Python 3.8.10

2021-06-08 Thread Matthias Klose
the package builds in the archive, and also builds with the Python 3.8.10 build in the ubuntu-toolchain-r/ppa PPA. ** Tags removed: verification-needed verification-needed-focal ** Tags added: verification-done verification-done-focal -- You received this bug notification because you are a

[Bug 1931144] Re: package openjdk-11-jdk-headless:amd64 11.0.11+9-0ubuntu2~20.04 failed to install/upgrade: installed openjdk-11-jdk-headless:amd64 package post-installation script subprocess returned

2021-06-08 Thread Matthias Klose
Preparing to unpack .../default-jdk_2%3a1.11-72_amd64.deb ... Unpacking default-jdk (2:1.11-72) ... Setting up openjdk-11-jdk-headless:amd64 (11.0.11+9-0ubuntu2~20.04) ... update-alternatives: error: cannot stat file '/bin/java': Too many levels of symbolic links dpkg: error processing

[Bug 1931074] [NEW] SRU: fix tests to also succeed with Python 3.8.10

2021-06-07 Thread Matthias Klose
Public bug reported: three sssd tests fail when updating Python 3.8.6 to Python 3.8.10 in focal. Fix these tests to also pass with 3.8.10. This is needed for the Python 3.8.10 update for 20.04 LTS. The test fixes are taken from upstream, and are also present in 20.10 and 21.04. Verification:

Re: [Bug 1927192] Re: gdb ftbfs on armhf, testsuite timeouts

2021-06-01 Thread Matthias Klose
On 5/31/21 8:03 PM, Balint Reczey wrote: > @doko would it be enough keep ld-* unstripped on armhf and armel only? sure, that would fix the immediate issue. but is there a reason why you don't want to have this across all architectures, or is this meant just for the backports? -- You received

[Bug 1926291] Re: backport the final GCC 11.1.0 release to 21.04

2021-05-29 Thread Matthias Klose
** Changed in: gcc-11 (Ubuntu) Status: New => Invalid ** Changed in: gcc-11-cross (Ubuntu) Status: New => Invalid ** Changed in: gcc-11-cross-ports (Ubuntu) Status: New => Invalid -- You received this bug notification because you are a member of Ubuntu Bugs, which is

[Bug 1930125] [NEW] SRU: update gcc-9 and gcc-10 packages for focal, groovy and hirsute

2021-05-29 Thread Matthias Klose
Public bug reported: as done before in LP: #1879481 with GCC 9.3.0 and GCC 10.2.0, updating again to GCC 9.4.0 and GCC 10.3.0 in 20.04 LTS, 20.10 and 21.04. GCC 10.3.0 is already in 21.04 (hirsute), so no need to update that compiler there as well.  - gcc-10, update to the gcc-10.3.0 release  -

[Bug 1929807] [NEW] tasksel not merged for a while

2021-05-27 Thread Matthias Klose
Public bug reported: tasksel not merged for a while. Seen when doing +1 maintenance, when looking at bfh-metapackages. This is at least missing task-ssh-server. ** Affects: tasksel (Ubuntu) Importance: Undecided Status: New ** Tags: rls-ii-incoming ** Tags added:

[Bug 1921105] Re: SRU: backport cvise to 18.04 LTS, 20.04 LTS and 20.10

2021-05-26 Thread Matthias Klose
** Changed in: cvise (Ubuntu) Status: New => Invalid -- You received this bug notification because you are a member of Ubuntu Bugs, which is subscribed to Ubuntu. https://bugs.launchpad.net/bugs/1921105 Title: SRU: backport cvise to 18.04 LTS, 20.04 LTS and 20.10 To manage

[Bug 1152187] Re: [MIR] systemd

2021-05-25 Thread Matthias Klose
we usually don't require MIRs for new binary packages. Please just make sure that the security team knows about the added binary in bionic, and then we can promote it. ** Changed in: systemd (Ubuntu Bionic) Status: New => Incomplete -- You received this bug notification because you are

[Bug 1899159] Re: SRU: backport Python 3.9.5 to 20.04 LTS, 20.10 and 21.04

2021-05-25 Thread Matthias Klose
all autopkg tests triggered by python3.9 pass, all autopkg tests triggered by python3-stdlib-extensions pass. except for 1 test failed: test_ttk_textonly this test is already ignored for python3.9, and also will be ignored with the pending update of 3.8 to 3.8.10, tracked in LP: #1928057.

[Bug 1929521] [NEW] bazel-bootstrap doesn't migrate on riscv64, missing nodejs build

2021-05-25 Thread Matthias Klose
Public bug reported: bazel-bootstrap-data has unsatisfied dependencies, because nodejs is not built. - the current packaged nodejs 12.x is based on the v8 engine 8.x - 14.x (packaged in experimental) still based on v8 8.x - 16.x based on v8 v9.0.x, with riscv64 support - ongoing riscv64

[Bug 1926806] Re: pipx terminates with "TypeError: __init__() got an unexpected keyword argument 'encoding'"

2021-05-21 Thread Matthias Klose
** Changed in: python-pipx (Ubuntu) Status: Confirmed => Fix Committed ** Changed in: python-pipx (Ubuntu Hirsute) Status: New => In Progress ** Description changed: SRU: Backport pipx version compatible with Python 3.9 Let's backport the version from impish to hirsute.

[Bug 1926806] Re: pipx terminates with "TypeError: __init__() got an unexpected keyword argument 'encoding'"

2021-05-21 Thread Matthias Klose
** Description changed: + SRU: Backport pipx version compatible with Python 3.9 + + Let's backport the version from impish to hirsute. + + Regression potential: None, because the version in 21.04 doesn't work at + all. + + Tests: The package builds, and passes its tests. a simple + pipx

[Bug 1926806] Re: pipx terminates with "TypeError: __init__() got an unexpected keyword argument 'encoding'"

2021-05-21 Thread Matthias Klose
** Also affects: python-pipx (Ubuntu Hirsute) Importance: Undecided Status: New -- You received this bug notification because you are a member of Ubuntu Bugs, which is subscribed to Ubuntu. https://bugs.launchpad.net/bugs/1926806 Title: pipx terminates with "TypeError: __init__()

[Bug 1925502] Re: unstable development snapshot instead of release version

2021-05-20 Thread Matthias Klose
fixed in 21.10 ** Also affects: gnucobol3 (Ubuntu) Importance: Undecided Status: New ** Changed in: gnucobol3 (Ubuntu) Status: New => Fix Released -- You received this bug notification because you are a member of Ubuntu Bugs, which is subscribed to Ubuntu.

[Bug 1925502] Re: unstable development snapshot instead of release version

2021-05-20 Thread Matthias Klose
unversioned gnucobol removed in impish ** Changed in: gnucobol (Ubuntu) Status: New => Fix Released -- You received this bug notification because you are a member of Ubuntu Bugs, which is subscribed to Ubuntu. https://bugs.launchpad.net/bugs/1925502 Title: unstable development

[Bug 1928538] Re: davmail package from the bionic repository does not start

2021-05-20 Thread Matthias Klose
please install openjdk-11-jre -- You received this bug notification because you are a member of Ubuntu Bugs, which is subscribed to Ubuntu. https://bugs.launchpad.net/bugs/1928538 Title: davmail package from the bionic repository does not start To manage notifications about this bug go to:

  1   2   3   4   5   6   7   8   9   10   >